Bug 241877 - databases/mariadb103-server - Update to 10.3.20
Summary: databases/mariadb103-server - Update to 10.3.20
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://mariadb.com/kb/en/library/mar...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-11 11:15 UTC by Santhosh Raju
Modified: 2019-12-03 14:45 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments
Patch to update the ports script to support mariadb103-server 10.3.20 builds. (6.00 KB, patch)
2019-11-11 11:15 UTC, Santhosh Raju
fox: maintainer-approval? (brnrd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Santhosh Raju freebsd_committer 2019-11-11 11:15:02 UTC
Created attachment 209052 [details]
Patch to update the ports script to support mariadb103-server 10.3.20 builds.

MariaDB has been updated to 10.3.20, and this also fixes some of the security vulnerabilities mentioned in 

https://vuxml.freebsd.org/freebsd/fc91f2ef-fd7b-11e9-a1c7-b499baebfeaf.html

I have made a patch that updates the ports script to support building 10.3.20, the patch was tested in poudriere (11.3/12.1/13.0-CURRENT) and also did a local build in my machine (12.0-RELEASE) and it builds, installs and runs fine.

Let me know if this patch looks good and if it can be committed to the ports tree.

Thank you
Comment 1 Bernard Spil freebsd_committer 2019-11-11 12:57:57 UTC
Comment on attachment 209052 [details]
Patch to update the ports script to support mariadb103-server 10.3.20 builds.

Hi Santosh!

Thanks for the patch!

1. Have you run poudriere testport on it for all archs and supported versions?
2. Does it build with all options enabled?
Comment 2 Santhosh Raju freebsd_committer 2019-11-11 19:27:25 UTC
> 1. Have you run poudriere testport on it for all archs and supported versions?

https://trouble.is/pkg/data/11i386-fox-fox/2019-11-11_06h06m35s/logs/mariadb103-server-10.3.20.log
https://trouble.is/pkg/data/11amd64-fox-fox/2019-11-11_06h06m33s/logs/mariadb103-server-10.3.20.log
https://trouble.is/pkg/data/12i386-fox-fox/2019-11-11_06h06m37s/logs/mariadb103-server-10.3.20.log
https://trouble.is/pkg/data/12amd64-fox-fox/2019-11-11_06h22m30s/logs/mariadb103-server-10.3.20.log
https://trouble.is/pkg/data/13i386-fox-fox/2019-11-11_06h22m32s/logs/mariadb103-server-10.3.20.log
https://trouble.is/pkg/data/13amd64-fox-fox/2019-11-11_06h22m33s/logs/mariadb103-server-10.3.20.log

These are the logs for 11.1/12.2/13.0-CURRENT for both amd64/i386. I ran them with bulk option.

Would you like me to re-run them with the testport option?

> 2. Does it build with all options enabled?

I did this only in my local machine, would you like me to run them with all the options enabled in poudriere?
Comment 3 Bernard Spil freebsd_committer 2019-11-11 20:44:25 UTC
Wow! That's excellent work, thank you!

For the "all options" build I go for recent RELEASE, so that'd be 12.1 or 12.0 at this time. I'll have to go through your patch a bit more to make sure we have no side-effects, but again: Thanks so far!
Comment 4 Santhosh Raju freebsd_committer 2019-11-12 00:52:33 UTC
Sounds good.
Comment 5 Daniel 2019-11-21 09:24:07 UTC
Hi,

as this is a security fix, what's the status?

thx,
Daniel
Comment 6 Santhosh Raju freebsd_committer 2019-11-29 10:18:27 UTC
Is there any additional tests or changes you would like me to do in the patch? I am happy to do so if that is the case, it has been two weeks and this patch has not been committed to the repository yet especially since it fixes the security issues mentioned.

Do let me know what I can do from my end to speed up the process.

Thank you.
Comment 7 Bernard Spil freebsd_committer 2019-12-01 16:00:25 UTC
Hi Santo(In reply to Santhosh Raju from comment #6)
I'm currently running testport on it for 12.1 and 11.3 both amd64 and i386.
It also builds OK with all options enabled, bit of an issue with mroonga
Comment 8 Santhosh Raju freebsd_committer 2019-12-01 16:43:53 UTC
Thanks for the update.
Comment 9 commit-hook freebsd_committer 2019-12-01 17:20:09 UTC
A commit references this bug:

Author: brnrd
Date: Sun Dec  1 17:19:32 UTC 2019
New revision: 518787
URL: https://svnweb.freebsd.org/changeset/ports/518787

Log:
  databases/mariadb103-server: Security update to 10.3.20

  PR:		241877
  Submitted by:	fox
  MFH:		2019Q4
  Security:	fc91f2ef-fd7b-11e9-a1c7-b499baebfeaf

Changes:
  head/databases/mariadb103-server/Makefile
  head/databases/mariadb103-server/distinfo
  head/databases/mariadb103-server/files/patch-libmariadb_plugins_auth_CMakeLists.txt
  head/databases/mariadb103-server/files/patch-storage_mroonga_CMakeLists.txt
  head/databases/mariadb103-server/files/patch-storage_tokudb_PerconaFT_cmake__modules_TokuThirdParty.cmake
Comment 10 commit-hook freebsd_committer 2019-12-03 14:45:28 UTC
A commit references this bug:

Author: brnrd
Date: Tue Dec  3 14:44:31 UTC 2019
New revision: 518941
URL: https://svnweb.freebsd.org/changeset/ports/518941

Log:
  MFH: r518787

  databases/mariadb103-server: Security update to 10.3.20

  PR:		241877
  Submitted by:	fox
  Security:	fc91f2ef-fd7b-11e9-a1c7-b499baebfeaf

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/databases/mariadb103-server/Makefile
  branches/2019Q4/databases/mariadb103-server/distinfo
  branches/2019Q4/databases/mariadb103-server/files/patch-libmariadb_plugins_auth_CMakeLists.txt
  branches/2019Q4/databases/mariadb103-server/files/patch-storage_mroonga_CMakeLists.txt
  branches/2019Q4/databases/mariadb103-server/files/patch-storage_tokudb_PerconaFT_cmake__modules_TokuThirdParty.cmake